Berkeley DB version 4.8.30

## com.sleepycat.db
Interface PartitionHandler

    public interface PartitionHandler

An interface specifying how Btree prefixes should be calculated.

Method Summary
`int` `partition(Database db, DatabaseEntry key)` The application-specific database partitioning callback.

Method Detail

### partition

    int partition(Database db,
                  DatabaseEntry key)

  The application-specific database partitioning callback.

  Parameters:
    `db` - The enclosing database handle.
    `key` - A database entry representing a database key.

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.